import sys
import asyncio
import logging
import utils
from rov_server_update import ess_instance, slb_client_params, create_client_params


def main():
    slb_client = utils.connect_client(access_key_id=slb_client_params['access_key_id'],
                                      access_key_secret=slb_client_params['access_key_secret'],
                                      region_id=slb_client_params['region_id'])
    create_client = utils.connect_client(access_key_id=create_client_params['access_key_id'],
                                         access_key_secret=create_client_params['access_key_secret'],
                                         region_id=create_client_params['region_id'])
    # 获取批量创建ECS实例的数量
    ess_instance_count = int(sys.argv[1])
    # 扩容机器并启动服务
    logging.info(f"ess instances start ...")
    logging.info(f"ess instance count: {ess_instance_count}")
    asyncio.run(ess_instance(create_client=create_client, slb_client=slb_client,
                             ess_count=ess_instance_count, max_workers=2))
    logging.info(f"ess instances end!")


if __name__ == '__main__':
    main()
